<template>
  <div class="row" no-gutters>
    <div class="col">
      <v-icon small class="mr-2" @click="editItem(item)"> mdi-pencil </v-icon>
      <v-icon small @click="deleteItem(item)"> mdi-delete </v-icon>
      <v-icon small @click="showUser(item)"> mdi-eye </v-icon>
    </div>
  </div>
</template>

<script>
import { mapActions, mapState } from "vuex";
export default {
  name: "ListActions",
  data () {
      return {
          profile:{}
      }
  },
  computed: {
    ...mapState({
      users: (state) => state.users,
      currentItem: state => state.currentItem
    }),
  },
  methods: {
    ...mapActions([
        "SET_EDITED_ITEM",
        "SET_EDITED_INDEX",
        "SET_USERS",
        "SET_DIALOG",
        "SET_CURRENT_ITEM"
    ]),
    editItem(item) {
        this.SET_EDITED_INDEX(this.users.indexOf(item));
        this.SET_EDITED_ITEM(Object.assign({}, item));
        this.SET_DIALOG({ key: "dialog", value: true });
    },
    deleteItem(item) {
        console.log("DELETE_ITEM");
        this.SET_EDITED_INDEX(this.users.indexOf(item));
        this.SET_EDITED_ITEM(Object.assign({}, item));
        this.SET_DIALOG({ key: "dialogDelete", value: true });
    },
    async showUser(item) {
        await this.SET_CURRENT_ITEM(item)
        this.SET_DIALOG({ key: "dialogShow", value: true })
    }
  },
  props: ["item"],
};
</script>

<style>
</style> 